.reviews {
    z-index: 20;
    position: relative;
    padding-top: rem(70);

    &__top {
        margin-bottom: rem(24);
    }

    &__header {
        margin-bottom: rem(18);
    }

    &__rating {
        display: grid;
        grid-row-gap: rem(10);
        grid-template-columns: 1fr;
    }

    &__main {

    }

    &__content {
        margin: rem(-15);
    }

    &__nav {
        margin-top: rem(24);
        display: flex;
        flex-direction: row-reverse;
    }

    @include media-breakpoint-up(md) {

        &__rating {
            grid-column-gap: rem(12);
            grid-template-columns: 1fr 1fr 1fr;
        }

        &__top {
            margin-bottom: rem(30);
        }

        &__nav {
            margin-top: rem(28);
        }
    }

    @include media-breakpoint-up(xl) {
        padding-top: rem(80);

        &__top {
            margin-bottom: rem(55);
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__header {
            margin-bottom: 0;
        }

        &__rating {
            width: rem(900);

            &--xl {
                width: 100%;
            }
        }

        &__nav {
            margin-top: rem(32);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__rating {
            width: rem(1040);

            &--xl {
                width: 100%;
            }
        }
    }
}

.reviews-rating {
    display: flex;
    align-items: center;
    border: 1px solid $gray-200;

    &__value {
        width: rem(54);
        height: rem(52);
        display: flex;
        color: $dark;
        flex-shrink: 0;
        font-weight: 500;
        line-height: 135%;
        font-size: rem(20);
        align-items: center;
        justify-content: center;
        background: #F5F5F3;
    }

    &__content {
        font-size: 0;
        line-height: 0;
        padding-left: rem(20);
        padding-right: rem(10);
    }

    &__star {
        margin-bottom: rem(4);
    }

    &__link {
        color: $dark;
        font-weight: 500;
        line-height: 145%;
        font-size: rem(11);

        a {
            color: $dark;
            text-decoration: underline;

            &:hover {
                color: $dark;
                text-decoration: none;
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__value {
            height: rem(56);
            width: rem(58);
        }

        &__content {
            padding-left: rem(15);
        }
    }

    @include media-breakpoint-up(xl) {

        &__value {
            height: rem(74);
            width: rem(76);
            font-size: rem(28);
        }

        &__content {
            padding-left: rem(24);
        }

        &__link {
            font-size: rem(13);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__value {
            height: rem(88);
            width: rem(90);
        }

        &__content {
            padding-left: rem(32);
        }

        &__link {
            font-size: rem(14);
        }
    }
}

.review-item {
    height: 100%;
    color: #13161D;
    line-height: 125%;
    background: $white;
    box-shadow: 0px 4px 15px 0px rgba(240, 240, 240, 0.70);

    &__main {

    }

    &__image {

    }

    &__info {
        text-align: center;
        padding: rem(18);
    }

    &__author {
        font-weight: 600;
        font-size: rem(16);
        margin-bottom: rem(2);
    }

    &__date {
        font-weight: 400;
        color: #5F6466;
        font-size: rem(12);
        margin-bottom: rem(2);
    }

    &__rating {

    }

    &__content {
        border-top: 1px solid $gray-200;
        font-size: rem(14);
        font-weight: 500;
        line-height: 135%;
        padding: rem(24) rem(20);
    }

    &__text {

    }

    &__link {
        fill: $purple;
        color: $purple;
        font-weight: 500;
        line-height: 125%;
        font-size: rem(11);
        white-space: nowrap;
        text-decoration: none;
        letter-spacing: 1.1px;
        margin-top: rem(20);
        text-transform: uppercase;
        display: inline-flex;
        align-items: center;

        span {
            display: inline-block;
        }

        i {
            // top: -1px;
            font-size: 0;
            line-height: 0;
            flex-shrink: 0;
            height: rem(8);
            margin-left: rem(8);
            position: relative;
            display: inline-block;
        }

        &:hover {
            fill: $dark;
            color: $dark;
            text-decoration: none;
        }
    }

    @include media-breakpoint-up(sm) {

        &__main {
            display: flex;
        }

        &__image {
            width: rem(200);
            flex-shrink: 0;
        }

        &__info {
            text-align: left;
            display: flex;
            align-items: center;
            padding-left: rem(34);
        }

        &__content {
            padding: rem(33) rem(30);
        }

        &__link {
            font-size: rem(12);
        }
    }

    @include media-breakpoint-up(xl) {

        &__image {
            width: rem(180);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__image {
            width: rem(212);
        }

        &__info {
            padding-left: rem(36);
        }

        &__content {
            font-size: rem(16);
            padding: rem(34) rem(32);
        }

        &__link {
            margin-top: rem(24);
        }
    }
}

[data-reviews] {
    overflow: visible;

    .swiper-slide {
        height: auto;
        padding: rem(15);
    }

    @include media-breakpoint-up(sm) {

        .swiper-slide {
            width: rem(340);
        }
    }

    @include media-breakpoint-up(sm) {

        .swiper-slide {
            width: rem(462);
        }
    }

    @include media-breakpoint-up(xl) {
        overflow: hidden;

        .swiper-slide {
            width: auto;
        }
    }
}
